Subject: Re: xscreensaver[-gnome] conflicts
To: Urban Boquist <>
From: Louis Guillaume <>
List: tech-pkg
Date: 10/22/2003 09:48:34
Urban Boquist wrote:

> Hi Rene,
>>>Perhaps there can be just one xscreensaver package that satisfies
> Rene>    That's what xscreensaver-gnome should be.
> Perhaps what Louis is trying to say is that if xscreensaver somehow
> gets installed first, possibly by "accident" as a dependency to
> something else, then packages which require xscreensaver-gnome will
> not install.
> A fix is of course to make sure that you install xscreensaver-gnome
> before anything else but that is not a very nice fix.

That's correct. I realize now that xscreensaver-gnome takes care of the 
xscreensaver dependents.

Doesn't this mean that the "xscreensaver" package is obsolete? Should we 
just remove it from the distribution or re-name "xscreensaver-gnome" to 

It seems unnecessary to have 2 versions, one being a subset of the other.